/*****************************************************************************/
/*
    Anny's Lab 1.0
    made by m@rtlin, VII-IX 2012
    martlin@seznam.cz, http://www.martlins-web.tode.cz/
    Licence: GNU/GPL, Open Source

    Multiplatformní (primárně určena pro GNU/Linux) textová bludišťovka volitelně využívající knihovnu ncurses
    Přeji Hodně zábavy!
*/
/*
    Soubor fundec.cpp:

    Deklarace všech funkcí.
*/
/*****************************************************************************/
#ifndef _al_fundec
#define _al_fundec

#include <cstdlib>
#include <cstdio>
#include <string>
#include <queue>

#include "declarations.cpp"

/* --- Deklarace pomocných funkcí ------------------------------------------ */
void myFflush(FILE* stream);

int even(int n);
int odd(int n);

char* printBool(bool p);
int toUpperCase(int c);
bool isNumeric(char* string);
bool isSwitch(char* string);

void restoreDefaults(void);
void restoreDefaultMapS(void);
void restoreDefaultGameS(void);

int parseArgs(int argc, std::queue<std::string>);

/* --- Deklarace funkcí jádra  ---------------------------------------------- */
void mainMenu(void);
void printLogo(void);
void help(void);
void mapSettings(void);
void gameSettings(void);
void campaigne(void);
void gameHelp(void);


#endif
