/*****************************************************************************/
/*
    Anny's Lab 1.0
    made by m@rtlin, VII-IX 2012
    martlin@seznam.cz, http://www.martlins-web.tode.cz/
    Licence: GNU/GPL, Open Source

    Multiplatformní (primárně určena pro GNU/Linux) textová bludišťovka volitelně využívající knihovnu ncurses
    Přeji Hodně zábavy!
*/
/*
    Soubor others.cpp:

    Definice ostatních a pomocných funkcí.
*/
/*****************************************************************************/
#ifndef _al_others
#define _al_others

#include <cstdlib>
#include <cstdio>
#include <ctime>
#include <string>

#include "declarations.cpp"
#include "fundec.cpp"

/* --- Definice pomocných funkcí ------------------------------------------- */
void myFflush(FILE* stream) {
    #ifndef USE_CURSES
        char d;
        while ((d=getchar())!=EOF && d!='\n');
    #endif
}

int even(int n){    //vrati sude cislo mensi nebo rovno n
    return (n/2)*2;
}
int odd(int n) {
    return ((n+1)/2)*2-1;   //vrati liche cislo mensi nebo rovne n
}

char* printBool(bool p) {   //vrátí pole charů "Ano" nebo "Ne" podle hodnoty p
    static char res[4];
    if (p) {
        res[0]='A';
        res[1]='n';
        res[2]='o';
        res[3]='\0';
    } else {
        res[0]='N';
        res[1]='e';
        res[2]=' ';
        res[3]='\0';
    }
    return res;
}

int toUpperCase(int c) {    //převede na velké
    return (c>='a' && c<='z')?c+'A'-'a':c;
}

bool isNumeric(std::string string) {    //vrací true, je-li string číslo
    int i, l=string.length();

    for (i=0; i<l; i++)
        if (string[i]<'0' || string[i]>'9')
            return false;

    return true;
}

bool isSwitch(std::string string) { //vací true, je-li string pomlčkovým přepínačem příkazové řádky
    return string[0]=='-';
}

#endif
